Bug 480528 - Review Request: botan - Crypto library written in C++
Review Request: botan - Crypto library written in C++
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 06:22 EST by Thomas Moschny
Modified: 2009-09-13 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:15:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2009-01-18 06:22:32 EST
Spec URL: http://thm.fedorapeople.org/botan.spec
SRPM URL: http://thm.fedorapeople.org/botan-1.8.0-1.fc10.src.rpm

Description:
Botan is a BSD-licensed crypto library written in C++. It provides a
wide variety of basic cryptographic algorithms, X.509 certificates and
CRLs, PKCS \#10 certificate requests, a filter/pipe message processing
system, and a wide variety of other features, all written in portable
C++. The API reference, tutorial, and examples may help impart the
flavor of the library.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1063508
Comment 1 Jochen Schmitt 2009-01-18 14:14:43 EST
Good:
+ Basename of SPEC file matches with package name
+ Package contains proper License tag
+ License tag contains BSD as a proper OSS license
+ Package contains verbatin copy of the license text
+ Package contains most recent version of the software
+ Tar ball in source package matches with upstream
(md5sum: 827c81f42cd1c118fc9bf1891be7cde5)
+ source package could downloaded form upstream with spectool
+ consistently usage of rpm macros
+ Build use RPM_OPT_FLAGS
+ Package contains devel subpackage
+ Devel subpackage has proper Requires to main package
* Local build works fine
+ Build use _smp_mflags
+ Rpmlint quite on source package
+ Rpmlint quite on binary package
+ Rpmlint quite on debuginfo package
+ Local install works fine
+ Rpmlint is quite on installed package
+ Package contains a testsuite in the %check stanza
+ Local uninstall works fine
+ Main package contains proper ldconfig scriptlets
+ Buildroot will be cleaned on the beginning of the %clean and %install stanza
+ All files of the package are owned by the package
+ %files stanza contains no duplicated file definiton
+ There are no file conflict with other packages
+ All packaged files has proper files permissions
+ As far as I can see, system libraries for bzis2, openssl and zlib was used.
+ %doc stanza is small, so we need no separate doc subpackage
+ Build on Koji works fine

Bad:
+ The files tutorial.* and api.* should be part of the devel subpackage stanza,
because they contains explainations how to develope applications for this
library

TODO:
- Please notify upstream, that each source file should have a proper
copyright notice

You package is APPROVED, if you may move the tutorial.* and api.* doc files into the
%doc stanza of the devel subpackage
Comment 2 Thomas Moschny 2009-01-18 16:48:06 EST
Thanks for the review!


New Package CVS Request
=======================
Package Name: botan
Short Description: Crypto library written in C++
Owners: thm
Branches: F-9 F-10
InitialCC: none
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2009-01-18 17:29:19 EST
cvs done.
Comment 4 Fedora Update System 2009-01-19 04:40:29 EST
botan-1.8.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/botan-1.8.0-2.fc10
Comment 5 Fedora Update System 2009-01-19 04:40:32 EST
botan-1.8.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/botan-1.8.0-2.fc9
Comment 6 Jochen Schmitt 2009-01-21 12:42:23 EST
I wan't to notify you, that 1.8.1 was released.
Comment 7 Fedora Update System 2009-01-21 16:25:31 EST
botan-1.8.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update botan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0698
Comment 8 Fedora Update System 2009-01-21 16:34:42 EST
botan-1.8.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update botan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0812
Comment 9 Thomas Moschny 2009-01-22 03:25:05 EST
Package Change Request
======================
Package Name: botan
New Branches: EL-5
Owners: thm

Sorry, forgot that in the original request. The monotone package currently has a copy of botan, which is going to be changed in one of the next releases. That was the main reason for packaging botan now.
Comment 10 Kevin Fenzi 2009-01-23 18:40:13 EST
cvs done.
Comment 11 Fedora Update System 2009-01-29 18:06:03 EST
botan-1.8.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update botan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0812
Comment 12 Fedora Update System 2009-01-29 18:11:15 EST
botan-1.8.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update botan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0698
Comment 13 Fedora Update System 2009-02-04 21:15:25 EST
botan-1.8.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-02-04 21:23:11 EST
botan-1.8.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.